<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sunxung.factoring.mapper.purchcontractmanagement.PurchContractPriceRuleHistoryMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.sunxung.factoring.entity.purchcontractmanagement.PurchContractPriceRuleHistory">
        <result column="id" property="id" />
        <result column="user_create" property="userCreate" />
        <result column="user_modified" property="userModified" />
        <result column="gmt_create" property="gmtCreate" />
        <result column="gmt_modified" property="gmtModified" />
        <result column="accrual_margin_calc_method" property="accrualMarginCalcMethod" />
        <result column="trade_platform_offer" property="tradePlatformOffer" />
        <result column="factoring_offer" property="factoringOffer" />
        <result column="factoring_finance_deadline" property="factoringFinanceDeadline" />
        <result column="differ_amount" property="differAmount" />
        <result column="monthly_interest_rate" property="monthlyInterestRate" />
        <result column="purch_contract_basic_info_id" property="purchContractBasicInfoId" />
    </resultMap>

</mapper>
